#!/usr/bin/env bash
# ------------------------------------------------------------------------------
# This file submits a job to the SLURM queue for CPU profling.
# ------------------------------------------------------------------------------
#SBATCH --job-name=ectrans_sbatch
#SBATCH --partition=dev-g
#SBATCH --exclusive
#SBATCH --mem=0
#SBATCH --account=project_465000454
#SBATCH --nodes=1
#SBATCH --gpus-per-node=8
#SBATCH --ntasks=8
#SBATCH --time=1:00:00

# Load required modules.
module load LUMI/23.09 partition/G PrgEnv-cray cce/16.0.1
module load craype/2.7.23
module load cray-mpich cray-libsci cray-fftw cray-python
module load cray-hdf5-parallel cray-netcdf-hdf5parallel

# Load a custom ROCm version from a custom module.
module use /pfs/lustrep2/projappl/project_462000125/samantao-public/mymodules
module load rocm/5.4.3

# Set required ENV variables.
export BINARY="ectrans-lam-benchmark-gpu-dp-acc"
export RESDIR="res-gpu_prof_n1"
export NTASKS=8

# Set runtime arguments to ENV value or default.
# [ -z "$NPROMA" ] && export NPROMA=32
# [ -z "$NFLD" ] && export NFLD=100
# [ -z "$NLEV" ] && export NLEV=3
# [ -z "$NITER" ] && export NITER=4
# [ -z "$NLAT" ] && export NLAT=1024
# [ -z "$NLON" ] && export NLON=1536

# Profile the ecTrans dwarf.
./ectrans_prof_lumi-g.sh
